### Virtual Method

# Gio SocketListener event

since: 2.22

#### Declaration

    void
    event (
      GSocketListener* listener,
      GSocketListenerEvent event,
      GSocket* socket
    )

#### Description

No description available.

Available since: 2.22

#### Parameters

`event`

  Type: `GSocketListenerEvent`

  No description available.

`socket`

  Type: `GSocket`

  No description available.

  The data is owned by the caller of the function.